\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 3D Mesh Generation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enumerations
3D Mesh Generation Reference

##

## Enumerations
enum | CGAL::Mesh_facet_topology { CGAL::FACET_VERTICES_ON_SURFACE = 1, CGAL::FACET_VERTICES_ON_SAME_SURFACE_PATCH, CGAL::FACET_VERTICES_ON_SAME_SURFACE_PATCH_WITH_ADJACENCY_CHECK }
| The enum `Mesh_facet_topology` is designed to tell which constraints have to be checked on each surface facet during the mesh refinement process. More...
enum | CGAL::Mesh_optimization_return_code { CGAL::BOUND_REACHED = 0, CGAL::TIME_LIMIT_REACHED, CGAL::CANT_IMPROVE_ANYMORE, CGAL::CONVERGENCE_REACHED, CGAL::MAX_ITERATION_NUMBER_REACHED, CGAL::ALL_VERTICES_FROZEN }
| The enum `Mesh_optimization_return_code` is the output of the global mesh optimization functions. More...

## Enumeration Type Documentation

enum CGAL::Mesh_facet_topology

The enum `Mesh_facet_topology` is designed to tell which constraints have to be checked on each surface facet during the mesh refinement process.

See Also
  `CGAL::Mesh_criteria_3<Tr>`,
  `CGAL::Mesh_facet_criteria_3<Tr>`.

`#include <CGAL/Mesh_facet_topology.h>`

Enumerator
FACET_VERTICES_ON_SURFACE | Each vertex of the facet have to be on the surface, on a curve segment, or on a corner.
FACET_VERTICES_ON_SAME_SURFACE_PATCH | The three vertices of a facet belonging to a surface patch `s` have to be on the same surface patch `s`, on a curve segment or on a corner.
FACET_VERTICES_ON_SAME_SURFACE_PATCH_WITH_ADJACENCY_CHECK | The three vertices of a facet belonging to a surface patch `s` have to be on the same surface patch `s`, or on a curve segment incident to the surface patch `s` or on a corner incident to the surface patch `s`.

enum CGAL::Mesh_optimization_return_code

The enum `Mesh_optimization_return_code` is the output of the global mesh optimization functions.

This output corresponds to mesh optimization process termination reasons. Note that depending on what parameters have been set to the optimizer, each return value may represent a failure or a success.

See Also
  `CGAL::exude_mesh_3()`
  `CGAL::perturb_mesh_3()`
  `CGAL::lloyd_optimize_mesh_3()`
  `CGAL::odt_optimize_mesh_3()`

`#include <CGAL/Mesh_optimization_return_code.h>`

Enumerator
BOUND_REACHED | The given lower bound on mesh quality is reached.
TIME_LIMIT_REACHED | The given time limit is reached.
CANT_IMPROVE_ANYMORE | Mesh could not be improved anymore.
CONVERGENCE_REACHED | The given convergence bound is reached.
MAX_ITERATION_NUMBER_REACHED | The given maximum iteration number is reached.
ALL_VERTICES_FROZEN | All vertices have been frozen.